<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroTokenData extends Entity {
	protected $requestor_id;
	protected $wallet;
	protected $cryptogram;
	protected $ecommerce_domain;
	protected $assurance_level;

	public static function builder(): PagSeguroTokenDataBuilder {

		return new PagSeguroTokenDataBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getRequestorId() {

		return $this->requestor_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getWallet() {

		return $this->wallet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCryptogram() {

		return $this->cryptogram;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEcommerceDomain() {

		return $this->ecommerce_domain;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAssuranceLevel() {

		return $this->assurance_level;

	}

	/**
	 *
	 * @param mixed $requestor_id
	 */
	public function setRequestorId($requestor_id) {

		$this->requestor_id = $requestor_id;

	}

	/**
	 *
	 * @param mixed $wallet
	 */
	public function setWallet($wallet) {

		$this->wallet = $wallet;

	}

	/**
	 *
	 * @param mixed $cryptogram
	 */
	public function setCryptogram($cryptogram) {

		$this->cryptogram = $cryptogram;

	}

	/**
	 *
	 * @param mixed $ecommerce_domain
	 */
	public function setEcommerceDomain($ecommerce_domain) {

		$this->ecommerce_domain = $ecommerce_domain;

	}

	/**
	 *
	 * @param mixed $assurance_level
	 */
	public function setAssuranceLevel($assurance_level) {

		$this->assurance_level = $assurance_level;

	}

}

